﻿## History of changes for WinPython-64bit 3.8.5.0



The following changes were made to WinPython-64bit distribution since version 3.8.3.0.



### Tools



New packages:



  * [Pandoc](https://pandoc.org/) 2.3 (a universal document converter)



Upgraded packages:



  * [Nodejs](https://nodejs.org) v12.16.3 → v12.18.3 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 6.14.4 → 6.14.6 (a package manager for JavaScript)



### Python packages



New packages:



  * [aiohttp](https://pypi.org/project/aiohttp) 3.6.2 (Async http client/server framework (asyncio))

  * [amply](https://pypi.org/project/amply) 0.1.2 (Amply allows you to load and manipulate AMPL/GLPK data as Python data structures)

  * [argon2_cffi](https://pypi.org/project/argon2_cffi) 20.1.0 (The secure Argon2 password hashing algorithm.)

  * [asgi_csrf](https://pypi.org/project/asgi_csrf) 0.6.1 (ASGI middleware for protecting against CSRF attacks)

  * [async_timeout](https://pypi.org/project/async_timeout) 3.0.1 (Timeout context manager for asyncio programs)

  * [dask_glm](https://pypi.org/project/dask_glm) 0.2.0 (Generalized Linear Models with Dask)

  * [dask_labextension](https://pypi.org/project/dask_labextension) 3.0.0 (A Jupyter Notebook server extension manages Dask clusters.)

  * [dask_ml](https://pypi.org/project/dask_ml) 1.6.0 (A library for distributed and parallel machine learning)

  * [flake8](https://pypi.org/project/flake8) 3.8.3 (the modular source code checker: pep8, pyflakes and co)

  * [guiqwt](https://pypi.org/project/guiqwt) 3.0.4 (guiqwt is a set of tools for curve and image plotting (extension to PythonQwt))

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 1.7.0 (Read metadata from Python packages)

  * [iniconfig](https://pypi.org/project/iniconfig) 1.0.1 (iniconfig: brain-dead simple config-ini parsing)

  * [jupyter_bokeh](https://pypi.org/project/jupyter_bokeh) 2.0.3 (A Jupyter extension for rendering Bokeh content.)

  * [jupyter_server_proxy](https://pypi.org/project/jupyter_server_proxy) 1.5.0 (Jupyter server extension to supervise and proxy web services)

  * [msvc_runtime](https://pypi.org/project/msvc_runtime) 14.27.29016 (Install the Microsoft&#8482; Visual C++&#8482; runtime DLLs to the sys.prefix and Scripts directories)

  * [multidict](https://pypi.org/project/multidict) 4.7.6 (multidict implementation)

  * [pydocstyle](https://pypi.org/project/pydocstyle) 4.0.1 (Python docstring style checker)

  * [python_baseconv](https://pypi.org/project/python_baseconv) 1.2.2 (Convert numbers from base 10 integers to base X strings and back again.)

  * [rfc3986](https://pypi.org/project/rfc3986) 1.4.0 (Validating URI References per RFC 3986)

  * [rope](https://pypi.org/project/rope) 0.17.0 (a python refactoring library...)

  * [simpervisor](https://pypi.org/project/simpervisor) 0.3 (Simple async process supervisor)

  * [wasmer](https://pypi.org/project/wasmer) 0.4.2b11 (Python extension to run WebAssembly binaries)

  * [yapf](https://pypi.org/project/yapf) 0.30.0 (A formatter for Python code.)

  * [yarl](https://pypi.org/project/yarl) 1.5.1 (Yet another URL library)

  * [zipp](https://pypi.org/project/zipp) 3.1.0 (Backport of pathlib-compatible object wrapper for zip files)



Upgraded packages:



  * [aiosqlite](https://pypi.org/project/aiosqlite) 0.13.0 → 0.15.0 (asyncio bridge to the standard sqlite3 module)

  * [asgiref](https://pypi.org/project/asgiref) 3.2.7 → 3.2.10 (ASGI specs, helper code, and adapters)

  * [astroid](https://pypi.org/project/astroid) 2.4.1 → 2.4.2 (An abstract syntax tree for Python with inference support.)

  * [autopep8](https://pypi.org/project/autopep8) 1.5.2 → 1.5.3 (A tool that automatically formats Python code to conform to the PEP 8 style guide)

  * [backcall](https://pypi.org/project/backcall) 0.1.0 → 0.2.0 (Specifications for callback functions passed in to an API)

  * [beautifulsoup4](https://pypi.org/project/beautifulsoup4) 4.9.0 → 4.9.1 (Screen-scraping library)

  * [bokeh](https://pypi.org/project/bokeh) 2.0.2 → 2.1.1 (Interactive plots and applications in the browser from Python)

  * [botorch](https://pypi.org/project/botorch) 0.2.3 → 0.3.0 (Bayesian Optimization in PyTorch)

  * [bqplot](https://pypi.org/project/bqplot) 0.12.11 → 0.12.15 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [branca](https://pypi.org/project/branca) 0.3.1 → 0.4.1 (Generate complex HTML+JS pages with Python)

  * [cachelib](https://pypi.org/project/cachelib) 0.1 → 0.1.1 (A collection of cache libraries in the same API interface.)

  * [certifi](https://pypi.org/project/certifi) 2020.4.5.1 → 2020.6.20 (Python package for providing Mozilla's CA Bundle.)

  * [cffi](https://pypi.org/project/cffi) 1.14.0 → 1.14.1 (Foreign Function Interface for Python calling C code.)

  * [cftime](https://pypi.org/project/cftime) 1.1.3 → 1.2.1 (Time-handling functionality from netcdf4-python)

  * [cloudpickle](https://pypi.org/project/cloudpickle) 1.4.1 → 1.5.0 (Extended pickling support for Python objects)

  * [cryptography](https://pypi.org/project/cryptography) 2.9.2 → 3.0 (cryptography is a package which provides cryptographic recipes and primitives to Python developers.)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.0.31 → 1.1.3 (A domain-specific language for modeling convex optimization problems in Python.)

  * [cx_freeze](https://pypi.org/project/cx_freeze) 6.1 → 6.2 (create standalone executables from Python scripts)

  * [cython](https://pypi.org/project/cython) 0.29.19 → 0.29.21 (The Cython compiler for writing C extensions for the Python language.)

  * [dask](https://pypi.org/project/dask) 2.16.0 → 2.23.0 (Parallel PyData with Task Scheduling)

  * [datasette](https://pypi.org/project/datasette) 0.42 → 0.47.2 (A tool for exploring and publishing data)

  * [datashader](https://pypi.org/project/datashader) 0.10.0 → 0.11.0 (Data visualization toolchain based on aggregating into a grid)

  * [diff_match_patch](https://pypi.org/project/diff_match_patch) 20181111 → 20200713 (Repackaging of Google's Diff Match and Patch libraries. Offers robust algorithms to perform the operations required for synchronizing plain text.)

  * [distlib](https://pypi.org/project/distlib) 0.3.0 → 0.3.1 (Distribution utilities)

  * [distributed](https://pypi.org/project/distributed) 2.16.0 → 2.23.0 (Distributed scheduler for Dask)

  * [fast_histogram](https://pypi.org/project/fast_histogram) 0.8 → 0.9 (Fast simple 1D and 2D histograms)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.4.0 → 0.4.1 (Python support for Parquet file format)

  * [flask_accepts](https://pypi.org/project/flask_accepts) 0.17.2 → 0.17.3 (Easy, opinionated Flask input/output handling with Flask-restx and Marshmallow)

  * [flask_sqlalchemy](https://pypi.org/project/flask_sqlalchemy) 2.4.1 → 2.4.4 (Adds SQLAlchemy support to your Flask application.)

  * [fsspec](https://pypi.org/project/fsspec) 0.7.3 → 0.8.0 (File-system specification)

  * [gdal](https://pypi.org/project/gdal) 3.0.4 → 3.1.2 (GDAL: Geospatial Data Abstraction Library)

  * [geopandas](https://pypi.org/project/geopandas) 0.7.0 → 0.8.1 (Geographic pandas extensions)

  * [geopy](https://pypi.org/project/geopy) 1.22.0 → 2.0.0 (Python Geocoding Toolbox)

  * [greenlet](https://pypi.org/project/greenlet) 0.4.15 → 0.4.16 (Lightweight in-process concurrent programming)

  * [guidata](https://pypi.org/project/guidata) 1.7.7.dev1 → 1.7.8 (Automatic graphical user interfaces generation for easy dataset editing and display)

  * [holoviews](https://pypi.org/project/holoviews) 1.13.2 → 1.13.3 (Stop plotting your data - annotate your data and let it visualize itself.)

  * [html5lib](https://pypi.org/project/html5lib) 1.0.1 → 1.1 (HTML parser based on the WHATWG HTML specification)

  * [httpie](https://pypi.org/project/httpie) 2.1.0 → 2.2.0 (HTTPie - a CLI, cURL-like tool for humans.)

  * [hvplot](https://pypi.org/project/hvplot) 0.5.2 → 0.6.0 (A high-level plotting API for the PyData ecosystem built on HoloViews.)

  * [hypercorn](https://pypi.org/project/hypercorn) 0.9.5 → 0.10.2 (A ASGI Server based on Hyper libraries and inspired by Gunicorn.)

  * [hypothesis](https://pypi.org/project/hypothesis) 5.14.0 → 5.24.3 (A library for property-based testing)

  * [idna](https://pypi.org/project/idna) 2.9 → 2.10 (Internationalized Domain Names in Applications (IDNA))

  * [imageio](https://pypi.org/project/imageio) 2.8.0 → 2.9.0 (Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.)

  * [imbalanced_learn](https://pypi.org/project/imbalanced_learn) 0.6.2 → 0.7.0 (Toolbox for imbalanced dataset in machine learning.)

  * [intake](https://pypi.org/project/intake) 0.5.5 → 0.6.0 (Data load and catalog system)

  * [ipykernel](https://pypi.org/project/ipykernel) 5.2.1 → 5.3.4 (IPython Kernel for Jupyter)

  * [ipyleaflet](https://pypi.org/project/ipyleaflet) 0.12.6 → 0.13.3 (A Jupyter widget for dynamic Leaflet maps)

  * [ipympl](https://pypi.org/project/ipympl) 0.5.6 → 0.5.7 (Matplotlib Jupyter Extension)

  * [ipython](https://pypi.org/project/ipython) 7.14.0 → 7.17.0 (IPython: Productive Interactive Computing)

  * [jedi](https://pypi.org/project/jedi) 0.17.0 → 0.17.1 (An autocompletion tool for Python that can be used for text editors.)

  * [joblib](https://pypi.org/project/joblib) 0.15.1 → 0.16.0 (Lightweight pipelining: using Python functions as pipeline jobs.)

  * [json5](https://pypi.org/project/json5) 0.9.3 → 0.9.5 (A Python implementation of the JSON5 data format.)

  * [julia](https://pypi.org/project/julia) 0.5.3 → 0.5.4 (Julia/Python bridge with IPython support.)

  * [jupyter_client](https://pypi.org/project/jupyter_client) 6.1.3 → 6.1.6 (Jupyter protocol implementation and client libraries)

  * [jupyter_sphinx](https://pypi.org/project/jupyter_sphinx) 0.2.3 → 0.2.4 (Jupyter Sphinx Extensions)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 2.1.2 → 2.2.4 (The JupyterLab notebook server extension.)

  * [jupyterlab_server](https://pypi.org/project/jupyterlab_server) 1.1.3 → 1.2.0 (JupyterLab Server)

  * [keyring](https://pypi.org/project/keyring) 21.2.1 → 21.3.0 (Store and access your passwords safely.)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.32.1 → 0.34.0 (lightweight wrapper around basic LLVM functionality)

  * [lxml](https://pypi.org/project/lxml) 4.5.1 → 4.5.2 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [lz4](https://pypi.org/project/lz4) 3.0.2 → 3.1.0 (LZ4 Bindings for Python)

  * [marshmallow](https://pypi.org/project/marshmallow) 3.6.0 → 3.7.1 (A lightweight library for converting complex datatypes to and from native Python datatypes.)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.2.1 → 3.3.1 (Python plotting package)

  * [mercantile](https://pypi.org/project/mercantile) 1.1.4 → 1.1.5 (Web mercator XYZ tile utilities)

  * [mizani](https://pypi.org/project/mizani) 0.6.0 → 0.7.1 (Scales for Python)

  * [mlxtend](https://pypi.org/project/mlxtend) 0.17.2 → 0.17.3 (Machine Learning Library Extensions)

  * [more_itertools](https://pypi.org/project/more_itertools) 8.3.0 → 8.4.0 (More routines for operating on iterables, beyond itertools)

  * [mpl_scatter_density](https://pypi.org/project/mpl_scatter_density) 0.6 → 0.7 (Matplotlib helpers to make density scatter plots)

  * [mpld3](https://pypi.org/project/mpld3) 0.3 → 0.5.1 (D3 Viewer for Matplotlib)

  * [mypy](https://pypi.org/project/mypy) 0.770 → 0.782 (Optional static typing for Python)

  * [mysql_connector_python](https://pypi.org/project/mysql_connector_python) 8.0.18 → 8.0.21 (MySQL driver written in Python)

  * [nbclient](https://pypi.org/project/nbclient) 0.3.0 → 0.4.1 (A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.)

  * [nbformat](https://pypi.org/project/nbformat) 5.0.6 → 5.0.7 (The Jupyter Notebook format)

  * [nest_asyncio](https://pypi.org/project/nest_asyncio) 1.3.3 → 1.4.0 (Patch asyncio to allow nested event loops)

  * [netcdf4](https://pypi.org/project/netcdf4) 1.5.3 → 1.5.4 (Provides an object-oriented python interface to the netCDF version 4 library.)

  * [notebook](https://pypi.org/project/notebook) 6.0.3 → 6.1.3 (A web-based notebook environment for interactive computing)

  * [numba](https://pypi.org/project/numba) 0.49.1 → 0.51.0 (compiling Python code using LLVM)

  * [numpy](https://pypi.org/project/numpy) 1.18.4+mkl → 1.19.1+mkl (NumPy is the fundamental package for array computing with Python.)

  * [numpydoc](https://pypi.org/project/numpydoc) 0.9.2 → 1.1.0 (Sphinx extension to support docstrings in Numpy format)

  * [oct2py](https://pypi.org/project/oct2py) 5.0.4 → 5.2.0 (Python to GNU Octave bridge --> run m-files from python.)

  * [octave_kernel](https://pypi.org/project/octave_kernel) 0.31.1 → 0.32.0 (A Jupyter kernel for Octave.)

  * [pandas](https://pypi.org/project/pandas) 1.0.3 → 1.1.0 (Powerful data structures for data analysis, time series, and statistics)

  * [pandas_datareader](https://pypi.org/project/pandas_datareader) 0.8.1 → 0.9.0 (Data readers extracted from the pandas codebase,should be compatible with recent pandas versions)

  * [panel](https://pypi.org/project/panel) 0.9.5 → 0.9.7 (A high level app and dashboarding solution for Python.)

  * [papermill](https://pypi.org/project/papermill) 2.1.1 → 2.1.2 (Parametrize and run Jupyter and nteract Notebooks)

  * [pillow](https://pypi.org/project/pillow) 7.1.2 → 7.2.0 (Python Imaging Library (Fork))

  * [pint](https://pypi.org/project/pint) 0.11 → 0.14 (Physical quantities module)

  * [pip](https://pypi.org/project/pip) 20.1.1 → 20.2.2 (The PyPA recommended tool for installing Python packages.)

  * [pipdeptree](https://pypi.org/project/pipdeptree) 0.13.2 → 1.0.0 (Command line utility to show dependency tree of packages)

  * [plotly](https://pypi.org/project/plotly) 4.7.1 → 4.9.0 (An open-source, interactive graphing library for Python)

  * [plotnine](https://pypi.org/project/plotnine) 0.6.0 → 0.7.1 (A grammar of graphics for python)

  * [ppci](https://pypi.org/project/ppci) 0.5.7 → 0.5.8 (A compiler for ARM, X86, MSP430, xtensa and more implemented in pure Python)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 3.0.5 → 3.0.6 (Library for building powerful interactive command lines in Python)

  * [protobuf](https://pypi.org/project/protobuf) 3.11.3 → 4.0.0rc1 (Protocol Buffers)

  * [psutil](https://pypi.org/project/psutil) 5.7.0 → 5.7.2 (Cross-platform lib for process and system monitoring in Python.)

  * [ptpython](https://pypi.org/project/ptpython) 3.0.2 → 3.0.5 (Python REPL build on top of prompt_toolkit)

  * [pulp](https://pypi.org/project/pulp) 1.6.11 → 2.3 (PuLP is an LP modeler written in python. PuLP can generate MPS or LP files and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems.)

  * [py](https://pypi.org/project/py) 1.8.1 → 1.9.0 (library with cross-python path, ini-parsing, io, code, log facilities)

  * [pyarrow](https://pypi.org/project/pyarrow) 0.17.1 → 1.0.0 (Python library for Apache Arrow)

  * [pydeck](https://pypi.org/project/pydeck) 0.2.1 → 0.4.0 (Widget for deck.gl maps)

  * [pylint](https://pypi.org/project/pylint) 2.5.2 → 2.5.3 (python code static checker)

  * [pymongo](https://pypi.org/project/pymongo) 3.10.1 → 3.11.0 (Python driver for MongoDB <http www.mongodb.org>)

  * [pynacl](https://pypi.org/project/pynacl) 1.3.0 → 1.4.0 (Python binding to the Networking and Cryptography (NaCl) library)

  * [pypandoc](https://pypi.org/project/pypandoc) 1.3.2 → 1.5 (Thin wrapper for pandoc.)

  * [pyqt5](https://pypi.org/project/pyqt5) 5.14.2 → 5.15.0 (Python bindings for the Qt cross platform application toolkit)

  * [pyqt5_sip](https://pypi.org/project/pyqt5_sip) 12.7.2 → 12.8.0 (The sip module support for PyQt5)

  * [pyqtgraph](https://pypi.org/project/pyqtgraph) 0.11.0rc0 → 0.11.0 (Scientific Graphics and GUI Library for Python)

  * [pyqtwebengine](https://pypi.org/project/pyqtwebengine) 5.14.0 → 5.15.0 (Python bindings for the Qt WebEngine framework)

  * [pytest](https://pypi.org/project/pytest) 5.4.2 → 6.0.1 (pytest: simple powerful testing with Python)

  * [Python](http://www.python.org/) 3.8.3 → 3.8.5 (Python programming language with standard library)

  * [python_dotenv](https://pypi.org/project/python_dotenv) 0.13.0 → 0.14.0 (Add .env support to your django/flask apps in development and deployments)

  * [python_language_server](https://pypi.org/project/python_language_server) 0.32.0 → 0.34.1 (Python Language Server for the Language Server Protocol)

  * [pythonnet](https://pypi.org/project/pythonnet) 2.4.1.dev0 → 2.5.1 (.Net and Mono integration for Python)

  * [pythonqwt](https://pypi.org/project/pythonqwt) 0.5.6.dev0 → 0.6.2 (Qt plotting widgets for Python)

  * [pyviz_comms](https://pypi.org/project/pyviz_comms) 0.7.4 → 0.7.6 (Bidirectional communication for the PyViz ecosystem.)

  * [pywin32](https://pypi.org/project/pywin32) 227 → 228 (Python for Window Extensions)

  * [pyzmq](https://pypi.org/project/pyzmq) 19.0.1 → 19.0.2 (Python bindings for 0MQ)

  * [qtconsole](https://pypi.org/project/qtconsole) 4.7.4 → 4.7.5 (Jupyter Qt console)

  * [quantecon](https://pypi.org/project/quantecon) 0.4.7 → 0.4.8 (QuantEcon is a package to support all forms of quantitative economic modelling.)

  * [quart](https://pypi.org/project/quart) 0.12.0 → 0.13.0 (A Python ASGI web microframework with the same API as Flask)

  * [rasterio](https://pypi.org/project/rasterio) 1.1.4 → 1.1.5 (Fast and direct raster I/O for use with Numpy and SciPy)

  * [redis](https://pypi.org/project/redis) 3.5.2 → 3.5.3 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2020.5.14 → 2020.7.14 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.5.42 → 3.5.47 (The Reportlab Toolkit)

  * [requests](https://pypi.org/project/requests) 2.23.0 → 2.24.0 (Python HTTP for Humans.)

  * [rx](https://pypi.org/project/rx) 3.1.0 → 3.1.1 (Reactive Extensions (Rx) for Python)

  * [scikit_learn](https://pypi.org/project/scikit_learn) 0.23.1 → 0.23.2 (A set of python modules for machine learning and data mining)

  * [scipy](https://pypi.org/project/scipy) 1.4.1 → 1.5.2 (SciPy: Scientific Library for Python)

  * [setuptools](https://pypi.org/project/setuptools) 46.4.0 → 49.6.0 (Easily download, build, install, upgrade, and uninstall Python packages)

  * [simplejson](https://pypi.org/project/simplejson) 3.17.0 → 3.17.2 (Simple, fast, extensible JSON encoder/decoder for Python)

  * [six](https://pypi.org/project/six) 1.14.0 → 1.15.0 (Python 2 and 3 compatibility utilities)

  * [sortedcontainers](https://pypi.org/project/sortedcontainers) 2.1.0 → 2.2.2 (Sorted Containers -- Sorted List, Sorted Dict, Sorted Set)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.3.15 → 0.4.0 (Play and Record Sound with Python)

  * [soupsieve](https://pypi.org/project/soupsieve) 2.0 → 2.0.1 (A modern CSS selector implementation for Beautiful Soup.)

  * [sphinx](https://pypi.org/project/sphinx) 3.0.3 → 3.2.1 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sphinx_rtd_theme](https://pypi.org/project/sphinx_rtd_theme) 0.4.3 → 0.5.0 (Read the Docs theme for Sphinx)

  * [spyder](https://pypi.org/project/spyder) 4.1.3 → 4.1.4 (The Scientific Python Development Environment)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 1.9.1 → 1.9.3 (Jupyter kernels for Spyder's console)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.3.17 → 1.3.18 (Database Abstraction Library)

  * [streamz](https://pypi.org/project/streamz) 0.5.0 → 0.5.4 (Streams)

  * [sympy](https://pypi.org/project/sympy) 1.5.1 → 1.6.2 (Computer algebra system (CAS) in Python)

  * [tblib](https://pypi.org/project/tblib) 1.6.0 → 1.7.0 (Traceback serialization library.)

  * [threadpoolctl](https://pypi.org/project/threadpoolctl) 2.0.0 → 2.1.0 (threadpoolctl)

  * [tifffile](https://pypi.org/project/tifffile) 2020.5.11 → 2020.8.13 (Read and write TIFF(r) files)

  * [torch](https://pypi.org/project/torch) 1.5.0+cpu → 1.6.0+cpu (Tensors and Dynamic neural networks in Python with strong GPU acceleration)

  * [torchvision](https://pypi.org/project/torchvision) 0.6.0+cpu → 0.7.0+cpu (image and video datasets and models for torch deep learning)

  * [tqdm](https://pypi.org/project/tqdm) 4.46.0 → 4.48.0 (Fast, Extensible Progress Meter)

  * [tranquilizer](https://pypi.org/project/tranquilizer) 0.4.1 → 0.5.0+1.gff8dd5f (Put your functions to REST)

  * [trio](https://pypi.org/project/trio) 0.15.1 → 0.16.0 (A friendly Python library for async concurrency and I/O)

  * [twine](https://pypi.org/project/twine) 3.1.1 → 3.2.0 (Collection of utilities for publishing packages on PyPI)

  * [twitter](https://pypi.org/project/twitter) 1.17.1 → 1.18.0 (An API and command-line toolset for Twitter (twitter.com))

  * [umap_learn](https://pypi.org/project/umap_learn) 0.4.3 → 0.4.6 (Uniform Manifold Approximation and Projection)

  * [uncertainties](https://pypi.org/project/uncertainties) 3.1.2 → 3.1.4 (Transparent calculations with uncertainties on the quantities involved (aka error propagation); fast calculation of derivatives)

  * [urllib3](https://pypi.org/project/urllib3) 1.25.9 → 1.25.10 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [uvicorn](https://pypi.org/project/uvicorn) 0.11.5 → 0.11.8 (The lightning-fast ASGI server.)

  * [virtualenv](https://pypi.org/project/virtualenv) 20.0.20 → 20.0.30 (Virtual Python Environment builder)

  * [watchdog](https://pypi.org/project/watchdog) 0.10.2 → 0.10.3 (Filesystem events monitoring)

  * [wcwidth](https://pypi.org/project/wcwidth) 0.1.9 → 0.2.5 (Measures number of Terminal column cells of wide-character codes)

  * [wheel](https://pypi.org/project/wheel) 0.34.2 → 0.35.1 (A built-package format for Python)

  * [winpython](http://winpython.github.io/) 2.4.20200425 → 3.0.20200808 (WinPython distribution tools, including WPPM)

  * [wordcloud](https://pypi.org/project/wordcloud) 1.7.0 → 1.8.0 (A little word cloud generator)

  * [xarray](https://pypi.org/project/xarray) 0.15.1 → 0.16.0 (N-D labeled arrays and datasets in Python)

  * [xlsxwriter](https://pypi.org/project/xlsxwriter) 1.2.8 → 1.3.3 (A Python module for creating Excel XLSX files.)

  * [xlwings](https://pypi.org/project/xlwings) 0.19.4 → 0.20.2 (Make Excel fly: Interact with Excel from Python and vice versa.)



Removed packages:



  * [absl_py](https://pypi.org/project/absl_py) 0.9.0 (Abseil Python Common Libraries, see github.com/abseil/abseil-py.)

  * [astunparse](https://pypi.org/project/astunparse) 1.6.3 (An AST unparser for Python)

  * [cachetools](https://pypi.org/project/cachetools) 4.0.0 (Extensible memoizing collections and decorators)

  * [dill](https://pypi.org/project/dill) 0.3.1.1 (serialize all of python)

  * [edward](https://pypi.org/project/edward) 1.3.5 (A library for probabilistic modeling, inference, and criticism)

  * [flask_restplus](https://pypi.org/project/flask_restplus) 0.13.0 (Fully featured framework for fast, easy and documented API development with Flask)

  * [gast](https://pypi.org/project/gast) 0.3.3 (Python AST that abstracts the underlying Python version)

  * [google_auth](https://pypi.org/project/google_auth) 1.14.3 (Google Authentication Library)

  * [google_auth_oauthlib](https://pypi.org/project/google_auth_oauthlib) 0.4.1 (Google Authentication Library)

  * [google_pasta](https://pypi.org/project/google_pasta) 0.2.0 (pasta is an AST-based Python refactoring library)

  * [grpcio](https://pypi.org/project/grpcio) 1.28.1 (HTTP/2-based RPC framework)

  * [imagecodecs](https://pypi.org/project/imagecodecs) 2020.2.18 (Image transformation, compression, and decompression codecs)

  * [keras](https://pypi.org/project/keras) 2.3.1 (Deep Learning for humans)

  * [keras_applications](https://pypi.org/project/keras_applications) 1.0.8 (Reference implementations of popular deep learning models)

  * [keras_preprocessing](https://pypi.org/project/keras_preprocessing) 1.1.2 (Easy data preprocessing and data augmentation for deep learning models)

  * [keras_vis](https://pypi.org/project/keras_vis) 0.4.1 (Neural Network visualization toolkit for keras)

  * [multiprocess](https://pypi.org/project/multiprocess) 0.70.9 (better multiprocessing and multithreading in python)

  * [oauthlib](https://pypi.org/project/oauthlib) 3.1.0 (A generic, spec-compliant, thorough implementation of the OAuth request-signing logic)

  * [opt_einsum](https://pypi.org/project/opt_einsum) 3.2.1 (Optimizing numpys einsum function)

  * [pyasn1](https://pypi.org/project/pyasn1) 0.4.8 (ASN.1 types and codecs)

  * [pyasn1_modules](https://pypi.org/project/pyasn1_modules) 0.2.8 (A collection of ASN.1-based protocols modules.)

  * [requests_oauthlib](https://pypi.org/project/requests_oauthlib) 1.3.0 (OAuthlib authentication support for Requests.)

  * [rsa](https://pypi.org/project/rsa) 4.0 (Pure-Python RSA implementation)

  * [swifter](https://pypi.org/project/swifter) 0.304 (A package which efficiently applies any function to a pandas dataframe or series in the fastest available manner)

  * [tbb](https://pypi.org/project/tbb) 2019.0 (Intel(R) Threading Building Blocks)

  * [tensorboard](https://pypi.org/project/tensorboard) 2.2.1 (TensorBoard lets you watch Tensors Flow)

  * [tensorboard_plugin_wit](https://pypi.org/project/tensorboard_plugin_wit) 1.6.0.post3 (What-If Tool TensorBoard plugin.)

  * [tensorflow_cpu](https://pypi.org/project/tensorflow_cpu) 2.2.0 (TensorFlow is an open source machine learning framework for everyone.)

  * [tensorflow_estimator](https://pypi.org/project/tensorflow_estimator) 2.2.0 (TensorFlow Estimator.)

  * [tensorflow_probability](https://pypi.org/project/tensorflow_probability) 0.10.0 (Probabilistic modeling and statistical inference in TensorFlow)



* * *

